Xfce Forum

Sub domains
 

You are not logged in.

#1 2007-01-22 22:15:31

Gandalf
Member
Registered: 2003-11-09
Posts: 3

[solved] libpng issues with 4.4.0 installer on openbsd

Howdy folks,

I'm running Openbsd -current and I'm having some trouble getting the xfce installer to do what i want it to. That's to say, it refuses to install the thing while falsely accusing me of not having libpng.

It wants libpng > 1.2.0, and according pkg_info I have png-1.2.14p0. The .so is in /usr/local/lib and the headers are in the usual spot @ /usr/local/include(/libpng).

Can anyone help me out here?

Thx

Offline

#2 2007-01-23 07:25:12

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,143
Website

Re: [solved] libpng issues with 4.4.0 installer on openbsd

Do you have the devel package of libpng? There should be some file named libpng.pc or libpng12.pc (locate libpng*.pc) on your pc.

Offline

#3 2007-01-30 21:22:48

Gandalf
Member
Registered: 2003-11-09
Posts: 3

Re: [solved] libpng issues with 4.4.0 installer on openbsd

I have a libpng.pc in /usr/local/lib and another one in /usr/local/lib/pkgconfig ..

I don't actually know if the libpng I have is the devel version or what.. how would I find out, or where would I get it?

Offline

#4 2007-01-30 21:33:42

Gandalf
Member
Registered: 2003-11-09
Posts: 3

Re: [solved] libpng issues with 4.4.0 installer on openbsd

Hmm..problem solved. Installing libpng 1.2.15 fixed the problem smile

Offline

Board footer

Powered by FluxBB